Subject: AW: [Simple] Message Sizes (was Messages: Signaling, Data, or The ft)

From: "Nagel, Thomas" <[email-masked]>
Date: Fri, 15 Mar 2002 17:01:14 +0100

Hi Dean, 

> -----Ursprüngliche Nachricht-----
> Von: Dean Willis [mailto:[email-masked]]
> Gesendet: Freitag, 15. März 2002 16:53
> An: 'Heil Franca Marcelo ICM N PG U ID A 2'
> Cc: [email-masked]
> Betreff: [Simple] Message Sizes (was Messages: Signaling, Data, or
> Theft)
> 
> 
> Marcelo wrote:
> > I support limiting the size of MESSAGE requests for page mode 
> > IM. Otherwise, network components (e. g. proxies) which are 
> > not really concerned with IM contents would be unnecessarily 
> > burdened. For example, intermediate proxies having to 
> > process, route and forward large MESSAGEs (with sizes in the 
> > order of megabytes) arriving frequently would quickly run out 
> > of memory resources. 
> 
> The genral approach that I believe has been agreed on is that MESSAGES
> should not exceed a size slightly smaller than a reasonable path MTU
> because there MAY bea a UDP link somewhere in between, and fragmenting
> over a UDP link increases the probability of a fragment loss (not to
> mention posing interesting issues for congestion management). Beyond
> this point, reducing them in size doesn't significantly 
> affect the proxy
> performance, because the proxy load is driven by the forwarding logic
> and signaling state machines and not the I/O of the message body.
> 

Question: Doesn't this (again) raise the (afaik. in IPv4 un-solvable) 
PATH MRU discovery problem?

Thomas

> --
> Dean
> 
> _______________________________________________
> simple mailing list
> [email-masked]
> http://mailman.dynamicsoft.com/mailman/listinfo/simple
> 
_______________________________________________
simple mailing list
[email-masked]
http://mailman.dynamicsoft.com/mailman/listinfo/simple

---

From: "Dean Willis" <[email-masked]>
Date: Fri, 15 Mar 2002 11:22:21 -0600

> PATH MRU discovery problem?

Yes. Actually, we could use a similar approach to TCP path MTU discovery
(implemented from BSD 4.4 Tahoe on, I believe). Any proxy sending SIP
messages UDP would set DF, and if the message is rejected by a router
(indicated by returned ICMP response saying fragementation required, DF
set), either kick the message back towards the source with a "message
size exceeded" SIP response or switch to a more reasonable protocol.

--
Dean